<template>

<el-scrollbar>
  <el-config-provider :locale="zhCn">
    <router-view />
  </el-config-provider>
</el-scrollbar>

</template>

<script lang="ts" setup>

import { onBeforeMount } from 'vue'
import { useAppStoreWithOut } from '@/store/modules/app'
import { useTunnelStoreWithOut } from '@/store/modules/tunnel'

import zhCn from 'element-plus/es/locale/lang/zh-cn'


defineOptions({ name: 'APP' })

const appStore = useAppStoreWithOut()
const tunnelStore = useTunnelStoreWithOut()

onBeforeMount(() => {

  // 初始化比例
  appStore.setFix()
  window.addEventListener('resize',  () => {
    appStore.setFix()
  })

  // 初始化隧道

})

</script>

<style lang="scss">

.size {
  width: 100%;
  height: 100%;
}

html,
body {
  @extend .size;

  padding: 0 !important;
  margin: 0;
  overflow: hidden;

  #app {
    @extend .size;
  }
}

</style>
